Subject: [Emu] Planned minor changes for EAP-TLS 1.3 -15

From: John Mattsson <[email-masked]>
Date: Fri, 5 Feb 2021 15:30:06 +0000

Hi,

I re-read all the mails written on the EMU list the last month to see if any comments and suggestions had been forgotten. Based on that, the following smaller changes were added to the GitHub version and are planned for the next version:

- Added references to ietf-emu-tls-eap-types as suggested by Ben
- Made ietf-tls-oldversions-deprecate as suggested by Eric. ietf-tls-oldversions-deprecate normatively updated RFC 5216 so it makes sense to have it normative.
- Added a summary on packet modification attacks as suggested by Ben and maybe more persons.
- Added information on why resumption is important as described by Ben and Alan
- Added som editorial space in the key derivation and used "" to indicate an empty context.
- Significantly expanded EAP state machine section as suggested by Bernard.
  Since the discussion yesterday I have made the following changes:
  - Changed authenticated to protected to align with RFC 3748
  - Used RFC 4147 variables as examples in all of the paragraphs.
  - Differentiated derivation and making keys available to lower layers.
  - Complied with RFC 3748 by specifying which alternative failure indications are protected and which are not. 

Diff:

https://tools.ietf.org//rfcdiff?url1=https://tools.ietf.org/id/draft-ietf-emu-eap-tls13-14.txt&url2=https://raw.githubusercontent.com/emu-wg/draft-ietf-emu-eap-tls13/gh-pages/draft-ietf-emu-eap-tls13.txt

Comments welcome as always. 

The current plan is to submit a new version after the consensus calls which might lead to more major changes.

(Success and failure operators are already added in the GitHub version based on Bernards suggestions).

Cheers,
John